name: "sdpsubarrayleafnode-test"
function: telescope-monitoring
domain: general-monitoring
instances: ["01"]
entrypoints:
  - name: "ska_tmc_sdpsubarrayleafnode.sdp_subarray_leaf_node.SdpSubarrayLeafNode"
{{ $CommandTimeOut := .Values.deviceServers.sdpsubarrayleafnode.CommandTimeOut }}
{{ $AdapterTimeOut := .Values.deviceServers.sdpsubarrayleafnode.AdapterTimeOut }}
{{ $LivelinessCheckPeriod := .Values.deviceServers.sdpsubarrayleafnode.LivelinessCheckPeriod }}
{{ $EventSubscriptionCheckPeriod := .Values.deviceServers.sdpsubarrayleafnode.EventSubscriptionCheckPeriod }}
{{ $SDPSubarrayAdminModeEnabled := .Values.deviceServers.sdpsubarrayleafnode.SDPSubarrayAdminModeEnabled }}
{{ $domain := .Values.global.domain}}
{{ $family := .Values.deviceServers.sdpsubarrayleafnode.family }}
server:
  name: "sdp_subarray_leaf_node"
  instances:
  {{ $sdp_sa_fqdn_prefix:= .Values.global.sdp_subarray_prefix}}
  {{- range  ( regexSplit " " ((.Values.subarray_count | int) | seq ) -1 ) }}
    - name: "{{ printf "%02s" . }}"
      classes:
      - name: "SdpSubarrayLeafNode"
        devices:
          - name: "{{ $domain }}/{{ $family }}/{{ printf "%02s" . }}"
            properties:
              - name: "SdpSubarrayFQDN"
                values:
                - "{{ $sdp_sa_fqdn_prefix }}/{{ printf "%02s" . }}"
              - name: "SkaLevel"
                values:
                - "3"
              - name: "LoggingTargetsDefault"
                values:
                - "tango::logger"
              - name: "LoggingLevelDefault"
                values:
                - "5"
              - name: "CommandTimeOut"
                values:
                - "{{ $CommandTimeOut }}"
              - name: "AdapterTimeOut"
                values:
                - "{{ $AdapterTimeOut }}"
              - name: "LivelinessCheckPeriod"
                values:
                - "{{ $LivelinessCheckPeriod }}"
              - name: "EventSubscriptionCheckPeriod"
                values:
                - "{{ $EventSubscriptionCheckPeriod }}"
              - name: "SDPSubarrayAdminModeEnabled"
                values:
                - "{{ $SDPSubarrayAdminModeEnabled }}"
  {{- end}}
depends_on:
  - device: sys/database/2
image:
  registry: "{{.Values.sdpleafnodes.image.registry}}"
  image: "{{.Values.sdpleafnodes.image.image}}"
  tag: "{{.Values.sdpleafnodes.image.tag}}"
  pullPolicy: "{{.Values.sdpleafnodes.image.pullPolicy}}"

